@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

.tambahan{
    height: 150px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    background: #f9f9f9;
    min-height: 100vh;
    overflow-x: hidden;
    
}

header{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 30px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.header-home{
    justify-content: flex-start;
}

.logo{
    font-size: 3em;
    color: #359381;
    pointer-events: none;
}

.logo-home{
    margin-right: 395px;
    width: 5%;
}

.navigation a{
    text-decoration: none;
    color: #359381;
    padding: 6px 15px;
    border-radius: 20px;
    margin: 0 10px;
    font-weight: 600;
}

.navigation a:hover,
.navigation a.active{
    background: #359381;
    color: #ffff;
}

.homepage{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.homepage img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    pointer-events: none;
}

#homepage-text{
    position: absolute;
    font-size: 4em;
    color: #ffff;
    text-align: center;
    text-shadow: 2px 4px 4px rgba(0, 0, 0, .2);
}

.sec{
    position: relative;
    background: #003329;
    padding: 100px;
}

.sec.in-view h2,
.sec.in-view p {
  opacity: 1;
  transition: opacity 1s ease-out;
}

.sec h2{
    font-size: 3em;
    color: #ffff;
    margin-bottom: 10px;
    opacity: 0;
}

.sec p{
    font-size: 1em;
    color: #ffff;
    font-weight: 300;
    text-align: justify;
    opacity: 0;
}

.faq-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #eaf8ef; 
    color: #ffffff; 
    padding: 50px; 
    text-align: center;
}

.faq-section h2 {
    font-size: 2em;
    margin-bottom: 20px;
    color: #359381;
}

details {
    width: 80%;
    margin: 10px auto;
    padding: 5px;
    background-color: #359381;
    border-radius: 8px;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}

summary {
    font-size: 1.1em;
    font-weight: bold;
    margin-bottom: 5px;
    color: #fff;
    cursor: pointer;
    transition: transform 1s ease-in-out;
}

summary::after {
    content: '';
    display: block;
    position: absolute;
    top: 100%;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: #359381;
    transform: translateX(-50%);
    transition: width 0.5s ease-out, transform 0.5s ease-out;
}

details p {
    font-size: 1em;
    margin-top: 5px;
    color: #ffffff;
    transition: color 0.3s ease;
}

details[open] {
    background-color: #003329;
    color: #ffffff;
}

details[open] summary {
    color: #ffffff;
}

details[open] summary::after {
    animation: openArrow 0.5s ease-out;
}

details[open] p {
    color: #ffffff;
    animation: slideDown 0.3s ease;
}

#leaf{
    position: absolute;
    width: 30%;
    margin-left: 1070px;
}

#tree{
    width: 20%;
    margin: 400px 1200px;
}

#banana{
    width: 25%;
    margin: 330px 600px;
}

.info-section {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    padding: 50px;
    background: #f9f9f9;
}

.info-card {
    background: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin: 10px;
    border-radius: 8px;
    width: 45%;
    font-size: large;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease-out, transform 0.5s ease-out;
}

.info-card.in-view {
    opacity: 1;
    transform: translateY(0);
}

.info-card h2 {
    color: #359381;
    font-size: 1.5em;
    margin-bottom: 10px;
}

.info-card p {
    margin-bottom: 8px;
    font-weight: 500;
    display: flex;
    justify-content: space-between;
    opacity: 0.8;
}

.info-card p span {
    text-align: right;
    font-weight: bold;
}

.line {
    border-top: 1px solid black;
    margin: 10px 0;
}

.lembaga-section {
    padding: 50px;
    text-align: center;
    background: #f9f9f9;
    color: #359381;
    margin-bottom: 20px;
}

.lembaga-section h2 {
    font-size: 2em;
    color: #359381;
    margin-bottom: 10px;
}

.lembaga-logos {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 20px;
}

.lembaga-item {
    margin: 0 40px;
    text-align: center;
}

.lembaga-item img {
    height: 80px; 
    margin-bottom: 10px;
    transition: transform 0.3s ease-in-out;
}

.lembaga-item img:hover {
    transform: scale(1.2);
}

.kontak-wrapper {
    position: relative;
}

.kontak-section {
    max-width: 800px;
    margin: 100px auto;
    padding: 40px;
    background: rgba(255, 255, 255, 0.95);
    border-radius: 15px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    text-align: center;
    color: #333;
    opacity: 0;
    animation: fadeIn 1s ease-in-out forwards;
}

.kontak-section h2 {
    color: #359381;
    font-size: 2.5em;
    margin-bottom: 20px;
}

.kontak-section p {
    font-size: 1.1em;
    margin-bottom: 15px;
}

.kontak-body,
.struktur-body{
    overflow: hidden;
}

.galeri-body{
    overflow-x: hidden;
    max-height: 50%;
}

img.hill-image {
    width: 100%;
    display: block;
    margin-top: 100px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.whatsapp-button {
    background-color: #359381;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 5px;
    font-size: 1em;
    margin: 20px auto;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s, transform 0.3s;
}

.whatsapp-button:hover {
    background-color: #128C7E;
    transform: scale(1.05);
}

.header-galeri {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 30px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.header-galeri .navigation a:hover,
.header-galeri .navigation a.active {
    background: #359381;
    color: #ffff;
}

.galeri-section {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
    padding: 120px 120px 0px 120px;
    animation: fadeIn 1s ease-in-out forwards;
}

.gallery-row {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
    margin-bottom: 40px;
}

.gallery-row h2 {
    color: #359381;
    font-size: 2em;
    margin-bottom: 5px;
    text-align: center;
}

.gallery-item {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
}

.gallery-item img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.overlay p {
    color: #fff;
    font-size: 1.2em;
    text-align: center;
    margin: 10px;
}

.gallery-item:hover .overlay {
    opacity: 1;
}

.social-media-section {
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 40px 20px;
    text-align: center;
    flex-wrap: wrap; 
}

.additional-card.card-popup {
    transform: scale(1);
}

.social-media-card {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    color: #359381;
    text-align: center;
}

.embedded-post {
    margin-bottom: 20px;
}

.embedded-post p {
    margin: 0;
}

.social-icons {
    margin-top: 20px;
}

.social-icons a {
    display: inline-block;
    margin-right: 10px;
    transition: transform 0.3s ease-in-out;
}

.social-icons a:hover {
    transform: scale(1.2);
}

.social-icons img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    transition: transform 0.3s ease-in-out;
}

.social-icons img:hover {
    transform: scale(1.2);
}

.social-to-follow {
    text-align: center;
    opacity: 0;
    animation: fadeIn 1s ease-in-out forwards;
}

.social-to-follow p {
    font-size: 1em;
    color: #333;
    margin-top: -50px;
}

.additional-cards {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px;
}

.additional-card {
    background: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 50px;
    margin-top: 50px;
    border-radius: 8px;
    width: 250px; 
    text-align: center;
    transform: scale(0.8);
    transition: transform 0.7s ease-out;
}

.additional-card:hover {
    transform: scale(1.05);
}

.additional-card h2 {
    color: #359381;
    font-size: 1em;
    margin-bottom: 10px;
}

.additional-card p {
    font-size: 0.8em;
    color: #359381;
    font-weight: 300;
    text-align: center;
}

.left-cards{
    margin-left: 80px;
}

.right-cards{
    margin-right: 80px;
}

.selengkapnya-section {
    text-align: center;
    margin-bottom: 70px;
}

.selengkapnya-section a {
    background-color: #359381;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    font-size: 1em;
    margin: 20px auto;
    display: inline-block;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s, transform 0.3s;
}

.selengkapnya-section a:hover {
    background-color: #128C7E;
    transform: scale(1.05);
}

.organizational-structure {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
    animation: fadeIn 1s ease-in-out forwards;
}

.level {
    display: flex;
    justify-content: space-around;
}

.card {
    background: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin: 10px;
    border-radius: 8px;
    width: 160px;
    text-align: center;
    font-size: 10px;
}

.content-title {
    margin-top: 100px;
    margin-bottom: 30px;
    text-align: center;
    font-size: 2em;
    color: #359381;
    animation: fadeIn 1s ease-in-out forwards;
}

footer {
    background-color: #017860;
    color: #ffffff;
    padding: 10px 0;
    text-align: center;
    position: fixed;
    bottom: 0;
    width: 100%;
}

.footer-content {
    max-width: 800px;
    margin: 0 auto;
}

.hamburger-menu {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
}

.bar {
    width: 30px;
    height: 3px;
    background-color: #359381;
    margin: 6px 0;
    transition: 0.4s;
}

.mobile-menu {
    display: none;
    position: absolute;
    top: 70px;
    left: 0;
    width: 100%;
    background: #f9f9f9;
    flex-direction: column;
    align-items: center;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.mobile-menu a {
    text-decoration: none;
    color: #359381;
    padding: 10px 15px;
    border-radius: 20px;
    margin: 10px 0;
    font-weight: 600;
}

.show-mobile-menu {
    display: flex;
}

.sekdes{
    margin-left: 906px;
}

.bpd{
    margin-left: -250px;
}

.kasi-pelayanan{
    margin-right: 370px; 
    padding-top: 30px;
}

.kadus{
    margin-top: 100px;
}

@media only screen and (max-width: 768px) {
    body {
        overflow-x: hidden;
    }

    .hamburger-menu {
        display: block;
    }

    .navigation {
        display: none;
    }

    header {
        padding: 15px 10px; 
    }

    .logo-home {
        margin: 5px; 
        width: 25px; 
    }

    .kontak-section {
        max-width: 90%;
        margin: 80px auto;
        padding: 15px;
    }

    .kontak-section h2 {
        font-size: 2em; 
    }

    .kontak-section p {
        font-size: 0.9em;
    }

    .whatsapp-button {
        font-size: 0.9em;
    }

    .hill-image {
        height: 50%;
    }

    .homepage {
        height: auto;
        padding: 60px 10px;
    }

    #homepage-text{
        font-size: 35px;
    }

    #leaf,
    #hill1,
    #hill4,
    #hill5,
    #tree,
    #plant,
    #banana {
        display: none;
    }

    .sec {
        padding: 60px 50px;
        font-size: 12px;
    }

    .lembaga-logos {
        flex-direction: column;
        align-items: center;
        margin-left: 0; 
    }

    .lembaga-item {
        margin: 0 10px;
    }
    
    .lembaga-item img {
        height: 60px;
        margin-bottom: 5px;
    }

    .info-section {
        flex-direction: column;
        align-items: center;
        padding: 30px 10px;
    }

    .info-card,
    .info-card.in-view {
        width: 90%;
    }

    .info-card h2 {
        font-size: 1.2em;
    }

    .info-card p {
        font-size: 12px;
    }

    .info-card iframe {
        width: 100%;
    }

    .right-cards, .left-cards{
        margin: 0px;
    }

    .header-home{
        justify-content: space-between;
    }
    
    .galeri-section {
        width: 100%;
        padding: 20px;
        box-sizing: border-box;
    }

    .gallery-row {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        margin-bottom: 20px;
    }

    .gallery-item {
        width: 100%;
        max-width: 300px;
        margin: 10px;
        box-sizing: border-box;
    }

    .selengkapnya-section {
        text-align: center;
    }

    .footer-content {
        text-align: center;
    }

    .galeri-body, 
    .struktur-body{
        overflow-y: auto;
    }

    .level {
        flex-direction: column; 
        align-items: center;
    }

    .card {
        margin: 10px 0;
    }

    .kadus{
        margin-top: -5px;
    }

    .sibedil{
        margin-bottom: 60px;
    }
    
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slideDown {
    from {
        max-height: 0;
        opacity: 0;
    }
    to {
        max-height: 500px;
        opacity: 1;
    }
}

@keyframes openArrow {
    0% {
        width: 0;
        transform: translateX(-50%);
    }
    100% {
        width: 100%;
        transform: translateX(-50%);
    }
}

